PCRE2_SET_CHARACTER_TABLES(3)

NAME
PCRE2 - Perl-compatible regular expressions (revised API)

SYNOPSIS

#include <pcre2.h>

int pcre2_set_character_tables(pcre2_compile_context *ccontext,
  const uint8_t *tables);

DESCRIPTION

This function sets a pointer to custom character tables within a compile context. The second argument must be the result of a call to pcre2_maketables() or NULL to request the default tables. The result is always zero.

There is a complete description of the PCRE2 native API in the pcre2api page and a description of the POSIX API in the pcre2posix page.